<?php require $_SERVER['DOCUMENT_ROOT'].'/hethong/config.php';?>
<?php
$now = time(); 
$date = date('h:i d-m-Y', $now);
$days_to_add ='30';
$het = $now;
$het += $days_to_add * 24 * 60 * 60;

$goi = strip_tags($_POST['goi']);
$domain = strip_tags($_POST['domain']);
$emailuser = strip_tags($_POST['email']);
$host = $ketnoi->query("SELECT * FROM `list_host` WHERE `id` = '$goi' ")->fetch_array();
if($username==""){
    $response = array('success' => false, 'message' => 'Đăng nhập để thực hiện tính năng này');
}elseif ($goi == '' || $domain==''|| $emailuser=='') {
    $response = array('success' => false, 'message' => 'Vui lòng nhập đầy đủ thông tin');
}elseif(strpos($domain, '.') < -1) {
    $response = array('success' => false, 'message' => 'Tên miền bạn nhập không hợp lệ!!');
}elseif($user['money']<$host['gia_host']) {
    $response = array('success' => false, 'message' => 'Số dư trong tài khoản không đủ, vui lòng nạp thêm');
}else{
$server_host = $host['server_host'];
$sv_host = $ketnoi->query("SELECT * FROM `list_server_host` WHERE `id` = '$server_host' ")->fetch_array();
$tk_whm = $sv_host['tk_whm'];
$mk_whm = $sv_host['mk_whm'];
$linklogin = $sv_host['link_login'];
$user_host = ''.random('abcdefghijklmnopqrstuvwxyz', 8);
$pass_host = ''.random('0123456789qwertyuiopasdfghjlkzxcvbnmQEWRWROIWCJHSCNJKFBJWQ', 15);
$goi_host = $host['code'];
$gia_host = $host['gia_host'];
$ip_host = $sv_host['ip_whm'];
$ns1 = $sv_host['ns1'];
$ns2 = $sv_host['ns2'];
$sql = $ketnoi->query("INSERT INTO `lich_su_mua_host` SET 
            `username`    = '$username',
            `domain`      = '$domain',
            `goi_host`    = '$goi_host',
            `server_host` = '$server_host',
            `gia_host`    = '$gia_host',
            `tk_host`     = '$user_host',
            `mk_host`     = '$pass_host',
            `ngay_mua`    = '$now',
            `ngay_het`    = '$het',
            `status`      = 'dangtao',
            `note`        = 'hoatdong',
            `time`        = '$now' ");
            sendTele("Tài Khoản: ".$username." Đã Mua Host Trên Tên Miền " .$domain." Với Giá ".$gia_host."đ Thành Công.");
            
            if(isset($sql)){
                $newmoney = $user['money']-$gia_host;
                
                $check_money = $ketnoi->query("UPDATE `users` SET `money` = '$newmoney' WHERE `username` = '".$username."' ");
                if($check_money){
                $response = array('success' => true, 'message' => 'Mua Hosting Thành Công, Vui Lòng Đợi Vài Phút Để Kích Hoạt!');
                }
       }     

}
echo json_encode($response);
?>